import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { IHorizontalAnchoredCategorySeriesInteractionManager } from "./IHorizontalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategoryMode } from "./CategoryMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { FastItemsSourceEventAction } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class HorizontalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    private yz;
    get y0(): IHorizontalAnchoredCategorySeriesInteractionManager;
    ng(): void;
    ce(): SeriesPlotAreaMarginHorizontalMode;
    cf(): SeriesPlotAreaMarginVerticalMode;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    protected bx(): SeriesHitTestMode;
    vl(): CategoryAxisBase;
    v6(): NumericAxisBase;
    tu(a: Point): Rect;
    private zd;
    protected y5(a: Point, b: Point, c: boolean): boolean;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    f4(a: Point, b: boolean): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    h9(a: Point, b: boolean, c: boolean): number;
    jf(a: Point, b: boolean): number;
    jd(a: Point, b: boolean): number;
    ht(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    th(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    x9(a: Axis): void;
    ya(a: Axis): void;
    wh(): boolean;
    protected yv: CategoryAxisBase;
    protected y1: NumericAxisBase;
    y9(a: CategoryAxisBase): void;
    za(a: NumericYAxis): void;
    vf(a: number, b: number): any[];
    protected o8(a: any, b: string, c: any, d: any): void;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    y3(a: any): boolean;
    y4(a: any): boolean;
    private yx;
    get yy(): CategoryMode;
    set yy(a: CategoryMode);
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
